Package com.independentsoft.office.odf.styles

# Enum Class RotationAlignment

java.lang.Object
java.lang.Enum<RotationAlignment>
com.independentsoft.office.odf.styles.RotationAlignment

All Implemented Interfaces:
  `Serializable`, `Comparable<RotationAlignment>`, `Constable`

public enum RotationAlignment extends Enum<RotationAlignment>
Represents how the edge of the text in a cell is aligned after a rotation.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BOTTOM`
  Text is rotated and may overlap with other cells if the text is longer than the length of the cell.Borders and background are positioned parallel to the text, whereby the edge that is named by the attribute value aligns with the corresponding edge of the cell's original position.
  `CENTER`
  Text is rotated and may overlap with other cells if the text is longer than the length of the cell.Borders and background are positioned parallel to the text, whereby the edge that is named by the attribute value aligns with the corresponding edge of the cell's original position.
  `NONE`
  Text is rotated and aligned within the cell.Borders and background are unchanged.
  `TOP`
  Text is rotated and may overlap with other cells if the text is longer than the length of the cell.Borders and background are positioned parallel to the text, whereby the edge that is named by the attribute value aligns with the corresponding edge of the cell's original position.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RotationAlignment`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static RotationAlignment[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BOTTOM

    public static final RotationAlignment BOTTOM
    Text is rotated and may overlap with other cells if the text is longer than the length of the cell.Borders and background are positioned parallel to the text, whereby the edge that is named by the attribute value aligns with the corresponding edge of the cell's original position.

  - ### TOP

    public static final RotationAlignment TOP
    Text is rotated and may overlap with other cells if the text is longer than the length of the cell.Borders and background are positioned parallel to the text, whereby the edge that is named by the attribute value aligns with the corresponding edge of the cell's original position.

  - ### CENTER

    public static final RotationAlignment CENTER
    Text is rotated and may overlap with other cells if the text is longer than the length of the cell.Borders and background are positioned parallel to the text, whereby the edge that is named by the attribute value aligns with the corresponding edge of the cell's original position.

  - ### NONE

    public static final RotationAlignment NONE
    Text is rotated and aligned within the cell.Borders and background are unchanged.

- ## Method Details

  - ### values

    public static RotationAlignment[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static RotationAlignment valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null